from wagtail.fields import StreamField

from shared.blocks import MenuItemBlock as MenuItemBlockBase
from shared.models import MenuMixin as MenuMixinBase


class MenuItemBlock(MenuItemBlockBase):
    class Meta:
        label = "Položka v menu"
        template = "donate/blocks/menu_item.html"


#
#
# class MenuParentBlock(MenuParentBlockBase):
#     class Meta:
#         label = "Podmenu"
#         template = "styleguide/2.3.x/menu_parent.html"


class MenuMixin(MenuMixinBase):
    menu = StreamField(
        [("menu_item", MenuItemBlock())],  # , ("menu_parent", MenuParentBlock())
        verbose_name="Menu",
        blank=True,
        use_json_field=True,
    )

    class Meta:
        abstract = True
