# Generated by Django 4.1.10 on 2024-01-06 16:43

import django.db.models.deletion
import django.utils.timezone
import modelcluster.fields
import wagtail.blocks
import wagtail.contrib.routable_page.models
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.blocks.main
import shared.models.base


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("main", "0065_alter_mainarticlepage_content_and_more"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("shared", "0003_initial"),
        ("calendar_utils", "0004_auto_20220505_1228"),
        ("taggit", "0005_auto_20220424_2025"),
        ("wagtailcore", "0083_workflowcontenttype"),
    ]

    operations = [
        migrations.CreateModel(
            name="ElectionsArticlePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "date",
                    models.DateField(
                        default=django.utils.timezone.now, verbose_name="datum"
                    ),
                ),
                ("perex", models.TextField(verbose_name="perex")),
                (
                    "author",
                    models.CharField(
                        blank=True, max_length=250, null=True, verbose_name="autor"
                    ),
                ),
                ("shared_type", models.TextField(blank=True, null=True)),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    template="styleguide2/includes/atoms/text/prose_richtext.html"
                                ),
                            ),
                            (
                                "quote",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "quote",
                                            wagtail.blocks.CharBlock(label="Citace"),
                                        ),
                                        (
                                            "autor_name",
                                            wagtail.blocks.CharBlock(
                                                label="Jméno autora"
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "download",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "file",
                                            wagtail.documents.blocks.DocumentChooserBlock(
                                                label="Stáhnutelný soubor"
                                            ),
                                        )
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Článek",
                    ),
                ),
            ],
            options={
                "verbose_name": "Aktualita",
                "abstract": False,
            },
            bases=(
                shared.models.base.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="ElectionsSearchPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Vyhledávací stránka",
                "abstract": False,
            },
            bases=(
                shared.models.base.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="ElectionsHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "title_suffix",
                    models.CharField(
                        blank=True,
                        help_text="Umožňuje přidat příponu k základnímu titulku stránky. Pokud je např. titulek stránky pojmenovaný 'Kontakt' a do přípony vyplníte 'MS Pardubice | Piráti', výsledný titulek bude 'Kontakt | MS Pardubice | Piráti'. Pokud příponu nevyplníte, použije se název webu.",
                        max_length=100,
                        null=True,
                        verbose_name="Přípona titulku stránky",
                    ),
                ),
                (
                    "important_item_name",
                    models.CharField(
                        blank=True,
                        help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                        max_length=16,
                        null=True,
                        verbose_name="Jméno",
                    ),
                ),
                (
                    "important_item_url",
                    models.URLField(blank=True, null=True, verbose_name="Adresa"),
                ),
                (
                    "menu",
                    wagtail.fields.StreamField(
                        [
                            (
                                "menu_item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                                                label="Titulek",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Položky",
                    ),
                ),
                (
                    "menu_button_name",
                    models.CharField(
                        max_length=16, verbose_name="Text na tlačítku pro zapojení"
                    ),
                ),
                (
                    "menu_button_content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "navbar_menu_item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "button_link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz tlačítka"
                                            ),
                                        ),
                                        (
                                            "button_text",
                                            wagtail.blocks.CharBlock(
                                                label="Text tlačítka"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Obsah menu pro zapojení se",
                    ),
                ),
                (
                    "footer_other_links",
                    wagtail.fields.StreamField(
                        [
                            (
                                "other_links",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="Titulek"),
                                        ),
                                        (
                                            "list",
                                            wagtail.blocks.ListBlock(
                                                shared.blocks.main.LinkBlock,
                                                label="Seznam odkazů s titulkem",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Odkazy v zápatí webu",
                    ),
                ),
                (
                    "footer_person_list",
                    wagtail.fields.StreamField(
                        [
                            (
                                "person",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "position",
                                            wagtail.blocks.CharBlock(
                                                label="Název pozice", required=False
                                            ),
                                        ),
                                        (
                                            "person",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Osoba",
                                                page_type=["main.MainPersonPage"],
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Osoby v zápatí webu",
                    ),
                ),
                (
                    "matomo_id",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        verbose_name="Matomo ID pro sledování návštěvnosti",
                    ),
                ),
                (
                    "social_links",
                    wagtail.fields.StreamField(
                        [
                            (
                                "social_links",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "text",
                                            wagtail.blocks.CharBlock(label="Název"),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(label="Odkaz"),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                                label="Ikona",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Odkazy na sociální sítě",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "carousel",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek na pozadí"
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "candidate",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "candidates",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                page_type=[
                                                                    "elections.ElectionsCandidatePage"
                                                                ],
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "description",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popis"
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Kandidáti",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "program",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "categories",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "number",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Číslo"
                                                            ),
                                                        ),
                                                        (
                                                            "name",
                                                            wagtail.blocks.CharBlock(
                                                                label="Název"
                                                            ),
                                                        ),
                                                        (
                                                            "points",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "number",
                                                                            wagtail.blocks.IntegerBlock(
                                                                                label="Číslo"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "content",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Obsah"
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Body",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Kategorie",
                                            ),
                                        ),
                                        (
                                            "long_version_url",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz na celou verzi programu"
                                            ),
                                        ),
                                        (
                                            "long_version_text",
                                            wagtail.blocks.CharBlock(
                                                label="Nadpis odkazu na celou verzi programu"
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "news",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                help_text="Nejnovější články se načtou automaticky",
                                                label="Titulek",
                                            ),
                                        ),
                                        (
                                            "description",
                                            wagtail.blocks.TextBlock(label="Popis"),
                                        ),
                                    ],
                                    template="styleguide2/includes/organisms/articles/elections/articles_section.html",
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Hlavní obsah",
                    ),
                ),
                (
                    "gdpr_and_cookies_page",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="main.mainsimplepage",
                        verbose_name="Stránka pro GDPR",
                    ),
                ),
                (
                    "important_item_page",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.page",
                        verbose_name="Stránka",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Volební web",
            },
            bases=(
                wagtail.contrib.routable_page.models.RoutablePageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                shared.models.base.ArticlesMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="ElectionsCandidatesPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "calendar_url",
                    models.URLField(
                        blank=True,
                        help_text="Kalendář se po uložení stránky aktualizuje na pozadí. U plnějších kalendářů to může trvat i desítky sekund.",
                        null=True,
                        verbose_name="URL kalendáře ve formátu iCal",
                    ),
                ),
                (
                    "calendar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="calendar_utils.calendar",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Kandidáti",
            },
            bases=(
                shared.models.base.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="ElectionsCandidatePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "calendar_url",
                    models.URLField(
                        blank=True,
                        help_text="Kalendář se po uložení stránky aktualizuje na pozadí. U plnějších kalendářů to může trvat i desítky sekund.",
                        null=True,
                        verbose_name="URL kalendáře ve formátu iCal",
                    ),
                ),
                (
                    "position",
                    models.CharField(
                        blank=True,
                        max_length=64,
                        null=True,
                        verbose_name="Pozice/povolání",
                    ),
                ),
                ("perex", wagtail.fields.RichTextField()),
                (
                    "email",
                    models.CharField(
                        blank=True, max_length=128, null=True, verbose_name="E-mail"
                    ),
                ),
                (
                    "phone",
                    models.CharField(
                        blank=True,
                        max_length=16,
                        null=True,
                        verbose_name="Telefonní kontakt",
                    ),
                ),
                (
                    "social_links",
                    wagtail.fields.StreamField(
                        [
                            (
                                "social_links",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "text",
                                            wagtail.blocks.CharBlock(label="Název"),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(label="Odkaz"),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                                label="Ikona",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Odkazy na sociální sítě",
                    ),
                ),
                (
                    "articles_heading",
                    models.CharField(
                        help_text='Např. "Aktuality Mikuláše Peksy".',
                        max_length=32,
                        verbose_name="Nadpis sekce s články",
                    ),
                ),
                (
                    "related_candidates",
                    wagtail.fields.StreamField(
                        [
                            (
                                "candidate",
                                wagtail.blocks.PageChooserBlock(
                                    label="Detail kandidáta",
                                    page_type=["elections.ElectionsCandidatePage"],
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Další kandidáti",
                    ),
                ),
                (
                    "calendar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="calendar_utils.calendar",
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Obrázek",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Kandidát",
            },
            bases=(
                shared.models.base.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="ElectionsArticleTag",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "content_object",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="elections_tagged_items",
                        to="elections.electionsarticlepage",
                    ),
                ),
                (
                    "tag",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="%(app_label)s_%(class)s_items",
                        to="taggit.tag",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ElectionsArticlesPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "last_import_log",
                    models.TextField(
                        blank=True,
                        null=True,
                        verbose_name="Výstup z posledního importu",
                    ),
                ),
                ("perex", models.TextField()),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
                (
                    "shared_tags",
                    modelcluster.fields.ParentalManyToManyField(
                        blank=True,
                        help_text="Pro výběr jednoho tagu klikněte na tag a uložte nebo publikujte stránku. Pro výběr více tagů využijte podržte Ctrl a vyberte příslušné tagy.",
                        to="shared.sharedtag",
                        verbose_name="Výběr tagů pro články sdílené mezi sítěmi",
                    ),
                ),
            ],
            options={
                "verbose_name": "Rozcestník článků",
                "abstract": False,
            },
            bases=(
                wagtail.contrib.routable_page.models.RoutablePageMixin,
                shared.models.base.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                shared.models.base.ArticlesMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.AddField(
            model_name="electionsarticlepage",
            name="author_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="elections.electionscandidatepage",
                verbose_name="Stránka autora (kandidáta)",
            ),
        ),
        migrations.AddField(
            model_name="electionsarticlepage",
            name="image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="wagtailimages.image",
                verbose_name="obrázek",
            ),
        ),
        migrations.AddField(
            model_name="electionsarticlepage",
            name="search_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Search image",
            ),
        ),
        migrations.AddField(
            model_name="electionsarticlepage",
            name="shared_from",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailcore.page",
            ),
        ),
    ]
