# Generated by Django 4.1.5 on 2023-01-30 23:27

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import main.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0041_alter_mainprogrampage_program"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            template="main/blocks/rich_text_block.html"
                        ),
                    ),
                    (
                        "quote",
                        wagtail.blocks.StructBlock(
                            [
                                ("quote", wagtail.blocks.CharBlock(label="Citace")),
                                (
                                    "autor_name",
                                    wagtail.blocks.CharBlock(label="Jméno autora"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "download",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "file",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="Stáhnutelný soubor"
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "href",
                                    wagtail.blocks.URLBlock(label="Odkaz k textu"),
                                ),
                                ("text", wagtail.blocks.CharBlock(label="Text")),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Článek",
            ),
        ),
        migrations.AlterField(
            model_name="maincontactpage",
            name="contact_boxes",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(label="Odkaz tlačítka"),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(label="Text tlačítka"),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Ikona"
                                    ),
                                ),
                                (
                                    "subtitle",
                                    wagtail.blocks.CharBlock(label="Podtitulek"),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Kontaktní boxy",
            ),
        ),
        migrations.AlterField(
            model_name="maincontactpage",
            name="contact_people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba", page_type=["main.MainPersonPage"]
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Kontaktní osoby",
            ),
        ),
        migrations.AlterField(
            model_name="maincontactpage",
            name="text",
            field=wagtail.fields.StreamField(
                [
                    (
                        "two_columns_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text_column_1",
                                    wagtail.blocks.RichTextBlock(
                                        label="První sloupec textu"
                                    ),
                                ),
                                (
                                    "text_column_2",
                                    wagtail.blocks.RichTextBlock(
                                        label="Druhý sloupec textu"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Kontaktní informace",
            ),
        ),
        migrations.AlterField(
            model_name="maincrossroadpage",
            name="cards_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        label="Krátký text pod nadpisem", required=False
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka",
                                        page_type=[
                                            "main.MainArticlesPage",
                                            "main.MainArticlePage",
                                            "main.MainProgramPage",
                                            "main.MainPeoplePage",
                                            "main.MainPersonPage",
                                            "main.MainSimplePage",
                                            "main.MainContactPage",
                                            "main.MainCrossroadPage",
                                        ],
                                        required=False,
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Karty rozcestníku",
            ),
        ),
        migrations.AlterField(
            model_name="maincrossroadpage",
            name="headlined_cards_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "headlined_cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=False
                                    ),
                                ),
                                (
                                    "card_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "main.MainArticlesPage",
                                                            "main.MainArticlePage",
                                                            "main.MainProgramPage",
                                                            "main.MainPeoplePage",
                                                            "main.MainPersonPage",
                                                            "main.MainSimplePage",
                                                            "main.MainContactPage",
                                                            "main.MainCrossroadPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty odkazu",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Karty rozcestníku s nadpisem",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock,
                                        label="Obrázky s nadpisy - carouselu",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Hlavní titulek"),
                                ),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.BoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "regions",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Články pro regiony se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "tweets",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Tweety budou načteny pro všechny profily uvedené v nastavení webu automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.BoxBlock, label="Boxíky"
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Hlavní obsah",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="footer_other_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "other_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.LinkBlock,
                                        label="Seznam odkazů s titulkem",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Bloky dalších odkazů v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="footer_person_list",
            field=wagtail.fields.StreamField(
                [
                    (
                        "person",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba", page_type=["main.MainPersonPage"]
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Osoby v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "menu_item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Menu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Odkazy na sociální sítě v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="twitter_usernames",
            field=wagtail.fields.StreamField(
                [
                    (
                        "username",
                        wagtail.blocks.CharBlock(label="Twitter uživatelské jméno"),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Uživatelská jména pro synchronizované twitter účty",
            ),
        ),
        migrations.AlterField(
            model_name="mainpeoplepage",
            name="people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Detail osoby",
                                            page_type=["main.MainPersonPage"],
                                        ),
                                        label="Skupina osob",
                                    ),
                                ),
                            ],
                            label="Seznam osob",
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Lidé",
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Detail osoby",
                                            page_type=["main.MainPersonPage"],
                                        ),
                                        label="Skupina osob",
                                    ),
                                ),
                            ],
                            label="Seznam osob",
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Další lidé",
            ),
        ),
        migrations.AlterField(
            model_name="mainpersonpage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
        migrations.AlterField(
            model_name="mainprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "slug",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky vyplněno",
                                        label="Slug části programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "perex",
                                    wagtail.blocks.RichTextBlock(
                                        label="Perex části programu", required=False
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ],
                            label="Část programu",
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Program",
            ),
        ),
        migrations.AlterField(
            model_name="mainsimplepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            template="main/blocks/rich_text_block.html"
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
