# Generated by Django 4.0.3 on 2022-05-06 09:05

import django.db.models.deletion
import wagtail.blocks
import wagtail.contrib.routable_page.models
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import district.models
import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0066_collection_management_permissions"),
        ("district", "0067_delete_all_superseded_pages"),
    ]

    operations = [
        migrations.CreateModel(
            name="DistrictElectionCampaignPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    label="Textový editor",
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    template="shared/blocks/table_block.html"
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "gallery_items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.images.blocks.ImageChooserBlock(
                                                    label="obrázek", required=True
                                                ),
                                                group="ostatní",
                                                icon="image",
                                                label="Galerie",
                                            ),
                                        )
                                    ],
                                    label="Galerie",
                                ),
                            ),
                            (
                                "figure",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.TextBlock(
                                                label="Popisek", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "card",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=False
                                            ),
                                        ),
                                        (
                                            "elevation",
                                            wagtail.blocks.IntegerBlock(
                                                default=2,
                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                label="Velikost stínu",
                                                max_value=21,
                                                min_value=0,
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.TextBlock(
                                                label="Titulek", required=False
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                label="Zvýraznit stín na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "two_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "three_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "middle_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah prostředního sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "youtube",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "poster_image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                label="Náhled videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_url",
                                            wagtail.blocks.URLBlock(
                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                label="Odkaz na video",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_id",
                                            wagtail.blocks.CharBlock(
                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                label="ID videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                    ],
                                    label="YouTube video",
                                ),
                            ),
                            (
                                "map_point",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[("osm-mapnik", "OSM Mapnik")],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Špendlík na mapě",
                                ),
                            ),
                            (
                                "map_collection",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[("osm-mapnik", "OSM Mapnik")],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Mapová kolekce",
                                ),
                            ),
                            (
                                "button",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                label="Ikonka",
                                                max_length=128,
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "size",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("sm", "Malá"),
                                                    ("base", "Střední"),
                                                    ("lg", "Velká"),
                                                ],
                                                label="Velikost",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black", "Černá"),
                                                    ("white", "Bílá"),
                                                    ("grey-125", "Světle šedá"),
                                                    ("blue-300", "Modrá"),
                                                    ("cyan-200", "Tyrkysová"),
                                                    ("green-400", "Zelené"),
                                                    ("violet-400", "Vínová"),
                                                    ("red-600", "Červená"),
                                                ],
                                                label="Barva",
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=True,
                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                label="Animovat na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "button_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "buttons",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Tlačítka",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "image_banner",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Headline",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=(
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ),
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "badge",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "person",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Osoba",
                                                page_type=[
                                                    "district.DistrictPersonPage"
                                                ],
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "wrap_in_card",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                label="Zabalit do karty",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.CharBlock(
                                                help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                                label="Popisek",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "number",
                    models.CharField(
                        blank=True,
                        max_length=4,
                        null=True,
                        verbose_name="Zvolené číslo kandidátní listiny",
                    ),
                ),
                (
                    "candidates",
                    wagtail.fields.StreamField(
                        [
                            (
                                "candidates",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "candidate_list",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.PageChooserBlock(
                                                    label="Osoba",
                                                    page_type=[
                                                        "district.DistrictPersonPage"
                                                    ],
                                                ),
                                                label="Kandidáti",
                                            ),
                                        ),
                                        (
                                            "candidate_list_big_count",
                                            wagtail.blocks.IntegerBlock(
                                                default=7,
                                                label="Počet kanditátů s velkým náhledem",
                                            ),
                                        ),
                                        (
                                            "candidate_list_shown_count",
                                            wagtail.blocks.IntegerBlock(
                                                default=16,
                                                label="Počet zobrazených kandidátů při načtení stránky (včetně velkých náhledů)",
                                            ),
                                        ),
                                        (
                                            "cta_text",
                                            wagtail.blocks.CharBlock(
                                                label="Text 'call-to-action' baneru",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "cta_link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz 'call-to-action' baneru",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "cta_button_text",
                                            wagtail.blocks.CharBlock(
                                                label="Text tlačítka 'call-to-action' baneru",
                                                max_length=24,
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="Kandidátní listina",
                    ),
                ),
                (
                    "candidate_list_title",
                    models.CharField(
                        blank=True,
                        help_text="Např. Kandidátní listina pro magistrát.",
                        max_length=128,
                        null=True,
                        verbose_name="Titulek kandidátní listiny",
                    ),
                ),
                (
                    "program_point_list_title",
                    models.CharField(
                        blank=True,
                        help_text="Např. Program pro magistrát.",
                        max_length=128,
                        null=True,
                        verbose_name="Titulek programové sekce",
                    ),
                ),
                (
                    "hero_headline",
                    models.CharField(
                        blank=True,
                        help_text="Použije se v hlavním banneru. Pokud je toto hlavní kampaň voleb, nebo ve vaší obci je jen jedna jediná kandidátní listina, můžete ponechat prázdné a pro titulek se pak použije titulek root volební stránky.",
                        max_length=128,
                        null=True,
                        verbose_name="Banner headline",
                    ),
                ),
                (
                    "hero_motto",
                    models.CharField(
                        blank=True,
                        help_text="Použije se v hlavním banneru.",
                        max_length=128,
                        null=True,
                        verbose_name="Motto/claim pro banner",
                    ),
                ),
                (
                    "hero_cta_buttons",
                    wagtail.fields.StreamField(
                        [
                            (
                                "button_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "buttons",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Tlačítka",
                                            ),
                                        )
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        help_text="Použije se v hlavním banneru.",
                        null=True,
                        verbose_name="CTAs pro banner",
                    ),
                ),
                (
                    "order",
                    models.SmallIntegerField(
                        default=0,
                        help_text="Čím nižší pořadí, tím důležitější kampaň je. Bude použito při řazených výpisech a nejdůležitější kampaň bude automaticky routovaná pokud někdo přistoupí na volební rozcestník.",
                        verbose_name="Pořadí",
                    ),
                ),
                (
                    "hero_candidates_image",
                    models.ForeignKey(
                        blank=True,
                        help_text="Použije se jako overlay v hlavním banneru a proto by fotka měla mít průhlednost aby to nevypadalo divně.",
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Obrázek s kandidáty pro banner",
                    ),
                ),
                (
                    "hero_image",
                    models.ForeignKey(
                        blank=True,
                        help_text="Pokud ponecháte prázdné, použije se výchozí obrázek stránek.",
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Ilustrační obrázek pro banner",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Kandidatura",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="DistrictElectionProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    label="Textový editor",
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    template="shared/blocks/table_block.html"
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "gallery_items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.images.blocks.ImageChooserBlock(
                                                    label="obrázek", required=True
                                                ),
                                                group="ostatní",
                                                icon="image",
                                                label="Galerie",
                                            ),
                                        )
                                    ],
                                    label="Galerie",
                                ),
                            ),
                            (
                                "figure",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.TextBlock(
                                                label="Popisek", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "card",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=False
                                            ),
                                        ),
                                        (
                                            "elevation",
                                            wagtail.blocks.IntegerBlock(
                                                default=2,
                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                label="Velikost stínu",
                                                max_value=21,
                                                min_value=0,
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.TextBlock(
                                                label="Titulek", required=False
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                label="Zvýraznit stín na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "two_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "three_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "middle_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah prostředního sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "youtube",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "poster_image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                label="Náhled videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_url",
                                            wagtail.blocks.URLBlock(
                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                label="Odkaz na video",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_id",
                                            wagtail.blocks.CharBlock(
                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                label="ID videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                    ],
                                    label="YouTube video",
                                ),
                            ),
                            (
                                "map_point",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[("osm-mapnik", "OSM Mapnik")],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Špendlík na mapě",
                                ),
                            ),
                            (
                                "map_collection",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[("osm-mapnik", "OSM Mapnik")],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Mapová kolekce",
                                ),
                            ),
                            (
                                "button",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                label="Ikonka",
                                                max_length=128,
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "size",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("sm", "Malá"),
                                                    ("base", "Střední"),
                                                    ("lg", "Velká"),
                                                ],
                                                label="Velikost",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black", "Černá"),
                                                    ("white", "Bílá"),
                                                    ("grey-125", "Světle šedá"),
                                                    ("blue-300", "Modrá"),
                                                    ("cyan-200", "Tyrkysová"),
                                                    ("green-400", "Zelené"),
                                                    ("violet-400", "Vínová"),
                                                    ("red-600", "Červená"),
                                                ],
                                                label="Barva",
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=True,
                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                label="Animovat na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "button_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "buttons",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Tlačítka",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "image_banner",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Headline",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=(
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ),
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "badge",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "person",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Osoba",
                                                page_type=[
                                                    "district.DistrictPersonPage"
                                                ],
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "wrap_in_card",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                label="Zabalit do karty",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.CharBlock(
                                                help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                                label="Popisek",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "perex",
                    models.TextField(
                        help_text="Pro přehled volebního programu", verbose_name="Perex"
                    ),
                ),
                (
                    "guarantor",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="district.districtpersonpage",
                        verbose_name="Garant",
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Ilustrační obrázek",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Bod programu voleb",
            },
            bases=(
                district.models.DistrictElectionSubCampaignPageMixin,
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="DistrictElectionRootPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "verbose_name": "Volební rozcestník",
            },
            bases=(
                wagtail.contrib.routable_page.models.RoutablePageMixin,
                "wagtailcore.page",
            ),
        ),
        migrations.CreateModel(
            name="DistrictPostElectionStrategyPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    label="Textový editor",
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    template="shared/blocks/table_block.html"
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "gallery_items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.images.blocks.ImageChooserBlock(
                                                    label="obrázek", required=True
                                                ),
                                                group="ostatní",
                                                icon="image",
                                                label="Galerie",
                                            ),
                                        )
                                    ],
                                    label="Galerie",
                                ),
                            ),
                            (
                                "figure",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.TextBlock(
                                                label="Popisek", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "card",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "img",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=False
                                            ),
                                        ),
                                        (
                                            "elevation",
                                            wagtail.blocks.IntegerBlock(
                                                default=2,
                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                label="Velikost stínu",
                                                max_value=21,
                                                min_value=0,
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.TextBlock(
                                                label="Titulek", required=False
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                label="Zvýraznit stín na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "two_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "three_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah levého sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "middle_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah prostředního sloupce",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "right_column_content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=[
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "image",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ],
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "table",
                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                            template="shared/blocks/table_block.html"
                                                        ),
                                                    ),
                                                    (
                                                        "card",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "elevation",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=2,
                                                                        help_text="0 = žádný stín, 21 = maximální stín",
                                                                        label="Velikost stínu",
                                                                        max_value=21,
                                                                        min_value=0,
                                                                    ),
                                                                ),
                                                                (
                                                                    "headline",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Titulek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=False,
                                                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                        label="Zvýraznit stín na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.StreamBlock(
                                                                        [
                                                                            (
                                                                                "text",
                                                                                wagtail.blocks.RichTextBlock(
                                                                                    features=[
                                                                                        "h2",
                                                                                        "h3",
                                                                                        "h4",
                                                                                        "h5",
                                                                                        "bold",
                                                                                        "italic",
                                                                                        "ol",
                                                                                        "ul",
                                                                                        "hr",
                                                                                        "link",
                                                                                        "document-link",
                                                                                        "image",
                                                                                        "superscript",
                                                                                        "subscript",
                                                                                        "strikethrough",
                                                                                        "blockquote",
                                                                                    ],
                                                                                    label="Textový editor",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "table",
                                                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                                                    template="shared/blocks/table_block.html"
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "figure",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "img",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                label="Obrázek",
                                                                                                required=True,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "caption",
                                                                                            wagtail.blocks.TextBlock(
                                                                                                label="Popisek",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "youtube",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "poster_image",
                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                                label="Náhled videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_url",
                                                                                            wagtail.blocks.URLBlock(
                                                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                                label="Odkaz na video",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "video_id",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                                label="ID videa (automatické pole)",
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_point",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "lat",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 50.04075",
                                                                                                label="Zeměpisná šířka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "lon",
                                                                                            wagtail.blocks.DecimalBlock(
                                                                                                help_text="Např. 15.77659",
                                                                                                label="Zeměpisná délka",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "hex_color",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                default="000000",
                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                label="Barva špendlíku (HEX)",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Špendlík na mapě",
                                                                                ),
                                                                            ),
                                                                            (
                                                                                "map_collection",
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "features",
                                                                                            wagtail.blocks.ListBlock(
                                                                                                wagtail.blocks.StructBlock(
                                                                                                    [
                                                                                                        (
                                                                                                            "title",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                label="Titulek",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "description",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                label="Popisek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "geojson",
                                                                                                            wagtail.blocks.TextBlock(
                                                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                                label="Geodata",
                                                                                                                required=True,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "image",
                                                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                                                label="Obrázek",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "link",
                                                                                                            wagtail.blocks.URLBlock(
                                                                                                                label="Odkaz",
                                                                                                                required=False,
                                                                                                            ),
                                                                                                        ),
                                                                                                        (
                                                                                                            "hex_color",
                                                                                                            wagtail.blocks.CharBlock(
                                                                                                                default="000000",
                                                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                                label="Barva (HEX)",
                                                                                                            ),
                                                                                                        ),
                                                                                                    ],
                                                                                                    required=True,
                                                                                                ),
                                                                                                label="Součásti",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "zoom",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                default=15,
                                                                                                label="Výchozí zoom",
                                                                                                max_value=18,
                                                                                                min_value=1,
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "style",
                                                                                            wagtail.blocks.ChoiceBlock(
                                                                                                choices=[
                                                                                                    (
                                                                                                        "osm-mapnik",
                                                                                                        "OSM Mapnik",
                                                                                                    )
                                                                                                ],
                                                                                                label="Styl",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "height",
                                                                                            wagtail.blocks.IntegerBlock(
                                                                                                label="Výška v px",
                                                                                                max_value=1000,
                                                                                                min_value=100,
                                                                                            ),
                                                                                        ),
                                                                                    ],
                                                                                    label="Mapová kolekce",
                                                                                ),
                                                                            ),
                                                                        ],
                                                                        label="Obsah",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "figure",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "img",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        label="Obrázek",
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "caption",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Popisek",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "youtube",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "poster_image",
                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                        label="Náhled videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_url",
                                                                    wagtail.blocks.URLBlock(
                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                        label="Odkaz na video",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "video_id",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                        label="ID videa (automatické pole)",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "map_point",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "lat",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 50.04075",
                                                                        label="Zeměpisná šířka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "lon",
                                                                    wagtail.blocks.DecimalBlock(
                                                                        help_text="Např. 15.77659",
                                                                        label="Zeměpisná délka",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hex_color",
                                                                    wagtail.blocks.CharBlock(
                                                                        default="000000",
                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                        label="Barva špendlíku (HEX)",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Špendlík na mapě",
                                                        ),
                                                    ),
                                                    (
                                                        "map_collection",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "features",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "description",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "geojson",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                        label="Geodata",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva (HEX)",
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            required=True,
                                                                        ),
                                                                        label="Součásti",
                                                                    ),
                                                                ),
                                                                (
                                                                    "zoom",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        default=15,
                                                                        label="Výchozí zoom",
                                                                        max_value=18,
                                                                        min_value=1,
                                                                    ),
                                                                ),
                                                                (
                                                                    "style",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "osm-mapnik",
                                                                                "OSM Mapnik",
                                                                            )
                                                                        ],
                                                                        label="Styl",
                                                                    ),
                                                                ),
                                                                (
                                                                    "height",
                                                                    wagtail.blocks.IntegerBlock(
                                                                        label="Výška v px",
                                                                        max_value=1000,
                                                                        min_value=100,
                                                                    ),
                                                                ),
                                                            ],
                                                            label="Mapová kolekce",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "youtube",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "poster_image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                label="Náhled videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_url",
                                            wagtail.blocks.URLBlock(
                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                label="Odkaz na video",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "video_id",
                                            wagtail.blocks.CharBlock(
                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                label="ID videa (automatické pole)",
                                                required=False,
                                            ),
                                        ),
                                    ],
                                    label="YouTube video",
                                ),
                            ),
                            (
                                "map_point",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[("osm-mapnik", "OSM Mapnik")],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Špendlík na mapě",
                                ),
                            ),
                            (
                                "map_collection",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "lat",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 50.04075",
                                                label="Zeměpisná šířka",
                                            ),
                                        ),
                                        (
                                            "lon",
                                            wagtail.blocks.DecimalBlock(
                                                help_text="Např. 15.77659",
                                                label="Zeměpisná délka",
                                            ),
                                        ),
                                        (
                                            "hex_color",
                                            wagtail.blocks.CharBlock(
                                                default="000000",
                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                label="Barva špendlíku (HEX)",
                                            ),
                                        ),
                                        (
                                            "zoom",
                                            wagtail.blocks.IntegerBlock(
                                                default=15,
                                                label="Výchozí zoom",
                                                max_value=18,
                                                min_value=1,
                                            ),
                                        ),
                                        (
                                            "style",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[("osm-mapnik", "OSM Mapnik")],
                                                label="Styl",
                                            ),
                                        ),
                                        (
                                            "height",
                                            wagtail.blocks.IntegerBlock(
                                                label="Výška v px",
                                                max_value=1000,
                                                min_value=100,
                                            ),
                                        ),
                                    ],
                                    label="Mapová kolekce",
                                ),
                            ),
                            (
                                "button",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(
                                                label="Titulek",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.CharBlock(
                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                label="Ikonka",
                                                max_length=128,
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "size",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("sm", "Malá"),
                                                    ("base", "Střední"),
                                                    ("lg", "Velká"),
                                                ],
                                                label="Velikost",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black", "Černá"),
                                                    ("white", "Bílá"),
                                                    ("grey-125", "Světle šedá"),
                                                    ("blue-300", "Modrá"),
                                                    ("cyan-200", "Tyrkysová"),
                                                    ("green-400", "Zelené"),
                                                    ("violet-400", "Vínová"),
                                                    ("red-600", "Červená"),
                                                ],
                                                label="Barva",
                                            ),
                                        ),
                                        (
                                            "hoveractive",
                                            wagtail.blocks.BooleanBlock(
                                                default=True,
                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                label="Animovat na hover",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka", required=False
                                            ),
                                        ),
                                        (
                                            "link",
                                            wagtail.blocks.URLBlock(
                                                label="Odkaz", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "button_group",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "buttons",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                                label="Tlačítka",
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "image_banner",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="Obrázek", required=True
                                            ),
                                        ),
                                        (
                                            "headline",
                                            wagtail.blocks.CharBlock(
                                                label="Headline",
                                                max_length=128,
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.StreamBlock(
                                                [
                                                    (
                                                        "text",
                                                        wagtail.blocks.RichTextBlock(
                                                            features=(
                                                                "h2",
                                                                "h3",
                                                                "h4",
                                                                "h5",
                                                                "bold",
                                                                "italic",
                                                                "ol",
                                                                "ul",
                                                                "hr",
                                                                "link",
                                                                "document-link",
                                                                "superscript",
                                                                "subscript",
                                                                "strikethrough",
                                                                "blockquote",
                                                            ),
                                                            label="Textový editor",
                                                        ),
                                                    ),
                                                    (
                                                        "button",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek",
                                                                        max_length=128,
                                                                        required=True,
                                                                    ),
                                                                ),
                                                                (
                                                                    "icon",
                                                                    wagtail.blocks.CharBlock(
                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                        label="Ikonka",
                                                                        max_length=128,
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "size",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "sm",
                                                                                "Malá",
                                                                            ),
                                                                            (
                                                                                "base",
                                                                                "Střední",
                                                                            ),
                                                                            (
                                                                                "lg",
                                                                                "Velká",
                                                                            ),
                                                                        ],
                                                                        label="Velikost",
                                                                    ),
                                                                ),
                                                                (
                                                                    "color",
                                                                    wagtail.blocks.ChoiceBlock(
                                                                        choices=[
                                                                            (
                                                                                "black",
                                                                                "Černá",
                                                                            ),
                                                                            (
                                                                                "white",
                                                                                "Bílá",
                                                                            ),
                                                                            (
                                                                                "grey-125",
                                                                                "Světle šedá",
                                                                            ),
                                                                            (
                                                                                "blue-300",
                                                                                "Modrá",
                                                                            ),
                                                                            (
                                                                                "cyan-200",
                                                                                "Tyrkysová",
                                                                            ),
                                                                            (
                                                                                "green-400",
                                                                                "Zelené",
                                                                            ),
                                                                            (
                                                                                "violet-400",
                                                                                "Vínová",
                                                                            ),
                                                                            (
                                                                                "red-600",
                                                                                "Červená",
                                                                            ),
                                                                        ],
                                                                        label="Barva",
                                                                    ),
                                                                ),
                                                                (
                                                                    "hoveractive",
                                                                    wagtail.blocks.BooleanBlock(
                                                                        default=True,
                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                        label="Animovat na hover",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "page",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Stránka",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                                (
                                                                    "link",
                                                                    wagtail.blocks.URLBlock(
                                                                        label="Odkaz",
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                    ),
                                                    (
                                                        "button_group",
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "buttons",
                                                                    wagtail.blocks.ListBlock(
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "title",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        label="Titulek",
                                                                                        max_length=128,
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "icon",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                        label="Ikonka",
                                                                                        max_length=128,
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "size",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "sm",
                                                                                                "Malá",
                                                                                            ),
                                                                                            (
                                                                                                "base",
                                                                                                "Střední",
                                                                                            ),
                                                                                            (
                                                                                                "lg",
                                                                                                "Velká",
                                                                                            ),
                                                                                        ],
                                                                                        label="Velikost",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "color",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "black",
                                                                                                "Černá",
                                                                                            ),
                                                                                            (
                                                                                                "white",
                                                                                                "Bílá",
                                                                                            ),
                                                                                            (
                                                                                                "grey-125",
                                                                                                "Světle šedá",
                                                                                            ),
                                                                                            (
                                                                                                "blue-300",
                                                                                                "Modrá",
                                                                                            ),
                                                                                            (
                                                                                                "cyan-200",
                                                                                                "Tyrkysová",
                                                                                            ),
                                                                                            (
                                                                                                "green-400",
                                                                                                "Zelené",
                                                                                            ),
                                                                                            (
                                                                                                "violet-400",
                                                                                                "Vínová",
                                                                                            ),
                                                                                            (
                                                                                                "red-600",
                                                                                                "Červená",
                                                                                            ),
                                                                                        ],
                                                                                        label="Barva",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hoveractive",
                                                                                    wagtail.blocks.BooleanBlock(
                                                                                        default=True,
                                                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                        label="Animovat na hover",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "page",
                                                                                    wagtail.blocks.PageChooserBlock(
                                                                                        label="Stránka",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "link",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        label="Odkaz",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                        label="Tlačítka",
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ],
                                                label="Obsah pravého sloupce",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "badge",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "person",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Osoba",
                                                page_type=[
                                                    "district.DistrictPersonPage"
                                                ],
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "wrap_in_card",
                                            wagtail.blocks.BooleanBlock(
                                                default=False,
                                                label="Zabalit do karty",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.CharBlock(
                                                help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                                label="Popisek",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "perex",
                    models.TextField(
                        help_text="Pro přehled volebního programu", verbose_name="Perex"
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Povolební strategie",
            },
            bases=(
                district.models.DistrictElectionSubCampaignPageMixin,
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.RemoveField(
            model_name="districtelectionpage",
            name="page_ptr",
        ),
        migrations.RemoveField(
            model_name="districtelectionpage",
            name="search_image",
        ),
        migrations.RemoveField(
            model_name="districtelectionpointpage",
            name="guarantor",
        ),
        migrations.RemoveField(
            model_name="districtelectionpointpage",
            name="list_image",
        ),
        migrations.RemoveField(
            model_name="districtelectionpointpage",
            name="page_ptr",
        ),
        migrations.RemoveField(
            model_name="districtelectionpointpage",
            name="search_image",
        ),
        migrations.AlterField(
            model_name="districtcrossroadpage",
            name="cards_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=False
                                    ),
                                ),
                                (
                                    "card_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictArticlePage",
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            "district.DistrictElectionCampaignPage",
                                                            "district.DistrictElectionProgramPage",
                                                            "district.DistrictElectionRootPage",
                                                            "district.DistrictPeoplePage",
                                                            "district.DistrictPersonPage",
                                                            "district.DistrictPostElectionStrategyPage",
                                                            "district.DistrictProgramPage",
                                                            # "district.DistrictTagsPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty odkazu",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Karty rozcestníku",
            ),
        ),
        migrations.DeleteModel(
            name="DistrictAfterElectionPage",
        ),
        migrations.DeleteModel(
            name="DistrictElectionPage",
        ),
        migrations.DeleteModel(
            name="DistrictElectionPointPage",
        ),
    ]
